<template>
  <div>
    <img src="./assets/logo.png" alt="">
    <greeting-message first-name="jimmy" last-name="Seesang"/>
    <GreetingMessage first-name="King" last-name="Kong"/>
    <greeting-message first-name="bill" last-name="Gate"></greeting-message>
    <hr>
    <GreetingMessage :first-name="fname"/>
    <GreetingMessage v-bind:full-name="fullName"/>
  </div>
</template>

<script>
import GreetingMessage from './components/GreetingMessage.vue'
  export default {
    name:'App',
    data(){
      return{
        fname: 'jhon',
        lname: 'Smite',
      }
    },
    computed:{
      fullName(){
        return this.fname + ' ' + this.lname
      }
    },
    components:{
      GreetingMessage,
    }
  }
</script>
<style>
  *{
    text-align: center;
  }
  hr{
    background-color: black;
    height: 1px;
  }
</style>